GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "b464b684-85a6-454b-8a24-c4801d3fdad2",
"customer_id": "a9c1257a-c7e2-4e62-9723-fc1e93a3ef9f",
"grouping_quantity": 1,
"id": "85ee9b38-bbf3-45d3-830e-0d3607a75881",
"item_service_id": "5047efbe-03af-44a4-99a5-3e952c3b4378",
"item_garment_type_id": "c8631e74-9c98-4459-bc8c-ab3af5d8d5f5",
"item_segment_id": "5bc5f446-133f-4b16-b873-23bbae5cadfc",
"item_type_id": "63b8a62f-2a3b-4ec1-af59-35e0c5e31f81",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "2c4ff531-ea65-42ad-bb70-f79b8f89ab54",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>b464b684-85a6-454b-8a24-c4801d3fdad2</color_id>
<customer_id>a9c1257a-c7e2-4e62-9723-fc1e93a3ef9f</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>85ee9b38-bbf3-45d3-830e-0d3607a75881</id>
<item_garment_type_id>c8631e74-9c98-4459-bc8c-ab3af5d8d5f5</item_garment_type_id>
<item_segment_id>5bc5f446-133f-4b16-b873-23bbae5cadfc</item_segment_id>
<item_service_id>5047efbe-03af-44a4-99a5-3e952c3b4378</item_service_id>
<item_type_id>63b8a62f-2a3b-4ec1-af59-35e0c5e31f81</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>2c4ff531-ea65-42ad-bb70-f79b8f89ab54</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>